Subject: bug#5080: indic text is not displayed correctly in emacs shell

From: Praveen A <[email-masked]>
Date: Tue, 1 Dec 2009 14:50:29 +0530

2009/12/1 Kenichi Handa <[email-masked]>:
> It seems that the coding system for your shell buffer is
> iso-8859-1.  In which locale did you invoke Emacs?  And
> please try to change the coding system for the shell buffer
> to utf-8 (C-x C-m p utf-8 RET utf-8 RET) and run ls and cat
> again.

I invoked emacs in en_US locale. I followed your instructions to
change encoding for shell buffer and output of cat is working as
expected, but ls output is better than previous, but still some junk
characters are coming (see attached screenshot).

Launching emacs in ml_IN locale had the same results as changing shell
buffer encoding.

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign